Skip to main content
GET
Get Engage list

Authorizations

Authorization
string
header
required

Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.

Headers

X-Organization-Id
string<uuid>

Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Path Parameters

listId
string<uuid>
required
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Query Parameters

organizationId
string<uuid>

Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Response

Engage list detail.

id
string<uuid>
required
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
name
string
required
sourceType
enum<string>
required
Available options:
manual,
persona,
account
isArchived
boolean
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
description
string | null
accountId
string<uuid> | null
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
accountIds
string<uuid>[]
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
accountTypes
string[]
accountStatuses
string[]
accountRelationshipStatuses
string[]
accountTags
string[]
accountTagCategories
string[]

Account-level filter: tag category keys from the organization account_types.tag_category_map.

engagementStatuses
string[]

Contact-level filter on relationship-map contact_status (e.g. Contacted, Not Contacted, Actively Engaged, Ghosting). Always AND’d with account filters.

accountOwnerIds
string<uuid>[]
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
sourcePersona
string[]
dynamicFilterOperator
enum<string> | null
Available options:
and,
or
memberCount
integer | null
Required range: x >= 0
ownerId
string<uuid> | null
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
createdById
string<uuid> | null
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$